## org.apache.zookeeper.server.upgrade
Class UpgradeMain

    java.lang.Object
      org.apache.zookeeper.server.upgrade.UpgradeMain

    public class UpgradeMain

extends Object

This class upgrades the older database to a new database for the zookeeper servers. The way to run it is java -class path zookeeper.jar Upgrade dataDir snapShotDir or using zookeeper scripts with zkServer -upgrade dataDir snapShotDir it creates a backup in the dataDir/.bkup and snapShotDir/.bkup which can be retrieved back to the snapShotDir and dataDir

Constructor Summary
`UpgradeMain(File dataDir, File snapShotDir)` upgrade class that takes the two file directories.

Method Summary
`static void` `main(String[] argv)`
`void` `runUpgrade()` run the upgrade

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeMain

    public UpgradeMain(File dataDir,
                       File snapShotDir)

  upgrade class that takes the two file directories.

  Parameters:
    `dataDir` - the directory that contains the transaction logs
    `snapShotDir` - the directory that contains the snapshots

Method Detail

### runUpgrade

    public void runUpgrade()
                    throws IOException

  run the upgrade

  Throws:
    `IOException`

### main

    public static void main(String[] argv)

Copyright © 2012 The Apache Software Foundation